FLIR One Developer / Blog / Topics / FlirOneCamera / CAT S60, IOException at Camera.connect( … )

CAT S60, IOException at Camera.connect( … )

Home Forums FLIR Mobile SDK Development Android Development CAT S60, IOException at Camera.connect( … )

Tagged: 

This topic contains 4 replies, has 4 voices, and was last updated by Profile photo of Juan Pablo Juan Pablo 12 hours, 19 minutes ago.

Viewing 5 posts - 1 through 5 (of 5 total)

  • Author

    Posts

  • #12044

    Profile photo of Mario
    Mario

    Participant

    Dear Support,

    I’m working with a CAT S60 and want to connect to the integrated Flir camera. Therefore, I slightly changed the example from Flir to also discover the integrated S60_CAMERA identity. This works well so far, the integrated cam is discovered with deviceId=”S60_CAMERA”.

    If then in the next step I try to connect to the camera with Camera.connect( … ) I get an exception

    “Could not connect: java.io.IOException: Unsupported camera type”

    I did research quite a while for examples to work with the CAT S60 but I did not find anything valuable.

    Is there maybe an example someone can provide for starting to work with the CAT S60?

    Thank you in advance,
    mario

    #12048

    Profile photo of Gavin
    Gavin

    Keymaster

    Hi Mario,

    Are you using the Mobile SDK?

    Gavin

    #12050

    Profile photo of Mario
    Mario

    Participant

    Hi Gavin,
    I use the newest downloadable SDK with the two files
    androidsdk-release.aar, and
    thermalsdk-release.aar.
    in the example project
    FlirOneCamera
    As I read in the page “Android Platform Guide – FLIR One/Cat S60” this SDK should also work for the Cat S60.
    Is there any hint you could provide for getting it work?
    Thank you in advance for your help!
    mario

    #16284

    Profile photo of shayma
    shayma

    Participant

    Hi I have this problem when trying to run the example project
    FlirOneCamera

    the error is
    Failed to resolve: :thermalsdk-release:
    Failed to resolve: :androidsdk-release:

    plz how can I fix this problem.

    #19062

    Profile photo of Juan Pablo
    Juan Pablo

    Participant

    Any update for this error? Please a need use my CATS61

Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.